import { jsx as s, Fragment as o } from "react/jsx-runtime";
import "react";
const g = (i) => {
  const {
    children: r,
    widthElement: l = 50,
    margin: n = 0,
    className: m,
    isFirstElement: a = !1
  } = i, c = (t) => {
    const e = {
      width: `${l}%`
    };
    return a ? t === 0 && (e.marginLeft = `${n}%`) : t + 1 === r.length && (e.marginRight = `${n}%`), e;
  };
  return s(o, {
    children: r.map((t, e) => s("div", {
      style: c(e),
      className: m,
      children: t
    }, e))
  });
};
export {
  g as ElementsBeforeAfter
};
